curl --request POST \
--url https://api.paysway.dev/payments/bulk-enrichments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"country": "<string>",
"currency": "<string>",
"creditorAgent": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"creditor": {
"name": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"dateOfBirth": "2023-12-25",
"taxId": "<string>",
"documents": [
{
"value": "<string>",
"type": "<string>"
}
],
"type": "INDIVIDUAL"
},
"intermediaryAgent1": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"settlementInformation": {
"settlementSystem": "SCT"
}
}
]
}
'{
"items": [
{
"enrichments": {
"creditorAgent": {
"name": "<string>",
"address": {
"country": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"department": "<string>",
"streetName": "<string>",
"buildingNumber": "<string>",
"buildingName": "<string>",
"floor": "<string>",
"room": "<string>",
"townName": "<string>",
"townLocationName": "<string>",
"districtName": "<string>",
"postBox": "<string>",
"postCode": "<string>",
"countrySubdivision": "<string>"
},
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"logo": "<string>"
},
"creditorAccount": {
"ids": [
{
"value": "<string>",
"type": "IBAN"
}
]
},
"intermediaryAgent1": {
"bic": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>"
},
"settlementInformation": {
"settlementSystems": [
"SCT"
]
}
}
}
]
}Enriches multiple payment instructions in a single request. Each item follows the same schema as POST /payments/enrichments. Results are returned in the same order as the input. The maximum number of items per request is 20.
curl --request POST \
--url https://api.paysway.dev/payments/bulk-enrichments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"country": "<string>",
"currency": "<string>",
"creditorAgent": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"creditor": {
"name": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"dateOfBirth": "2023-12-25",
"taxId": "<string>",
"documents": [
{
"value": "<string>",
"type": "<string>"
}
],
"type": "INDIVIDUAL"
},
"intermediaryAgent1": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
},
"settlementInformation": {
"settlementSystem": "SCT"
}
}
]
}
'{
"items": [
{
"enrichments": {
"creditorAgent": {
"name": "<string>",
"address": {
"country": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"department": "<string>",
"streetName": "<string>",
"buildingNumber": "<string>",
"buildingName": "<string>",
"floor": "<string>",
"room": "<string>",
"townName": "<string>",
"townLocationName": "<string>",
"districtName": "<string>",
"postBox": "<string>",
"postCode": "<string>",
"countrySubdivision": "<string>"
},
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"logo": "<string>"
},
"creditorAccount": {
"ids": [
{
"value": "<string>",
"type": "IBAN"
}
]
},
"intermediaryAgent1": {
"bic": "<string>"
},
"intermediaryAgent2": {
"bic": "<string>"
},
"intermediaryAgent3": {
"bic": "<string>"
},
"settlementInformation": {
"settlementSystems": [
"SCT"
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.paysway.io/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
20Show child attributes
Bulk enrichments result returned successfully
Show child attributes